# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
  # The most common configuration options are documented and commented below.
  # For a complete reference, please see the online documentation at
  # https://docs.vagrantup.com.

  # Every Vagrant development environment requires a box. You can search for
  # boxes at https://atlas.hashicorp.com/search.
  config.vm.box = "centos7"
  # config.vm.network "private_network", ip: "55.55.55.5"
  # config.vm.network "forwarded_port", host_ip: "127.0.0.1", guest: 8080, host: 8081
  config.vm.network "forwarded_port", guest: 8000, host: 8000
  config.vm.provision "shell", inline: <<-SHELL
#     # Update and upgrade the server packages.
      sudo yum -y update
#     # sudo apt-get -y upgrade
#     sudo yum update
#     # Set Ubuntu Language
#     # sudo locale-gen en_GB.UTF-8
#     # Install Python, SQLite and pip
      sudo yum -y install yum-utils
      sudo yum -y groupinstall development
      sudo yum -y install https://centos7.iuscommunity.org/ius-release.rpm
      sudo yum -y install python36u
      sudo yum -y install python36u-pip
      sudo yum -y install python36u-devel
      sudo yum -y install sqlite
#     sudo apt-get install -y python3-dev sqlite python-pip
#     # Upgrade pip to the latest version.
      sudo pip3.6 install --upgrade pip
#     # Install and configure python virtualenvwrapper.
      sudo pip3.6 install virtualenvwrapper
      if ! grep -q VIRTUALENV_ALREADY_ADDED /home/vagrant/.bashrc; then
          echo "# VIRTUALENV_ALREADY_ADDED" >> /home/vagrant/.bashrc
          echo "export VIRTUALENVWRAPPER_PYTHON=/usr/bin/python3.6" >> /home/vagrant/.bashrc
          echo "WORKON_HOME=~/.virtualenvs" >> /home/vagrant/.bashrc
          echo "PROJECT_HOME=/vagrant" >> /home/vagrant/.bashrc
          echo "source /bin/virtualenvwrapper.sh" >> /home/vagrant/.bashrc
      fi
  SHELL
#
end
